com.tibco.datagrid

## Class Version

- java.lang.Object
- - com.tibco.datagrid.Version

-     public class Version
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TIBDG_VERSION_BANNER`
    `static java.lang.String` | `TIBDG_VERSION_BUILD_TIMESTAMP`
    `static int` | `TIBDG_VERSION_MAJOR_NUM`
    `static java.lang.String` | `TIBDG_VERSION_MAJOR_STRING`
    `static int` | `TIBDG_VERSION_MINOR_NUM`
    `static java.lang.String` | `TIBDG_VERSION_MINOR_STRING`
    `static java.lang.String` | `TIBDG_VERSION_RELEASE_TYPE`
    `static java.lang.String` | `TIBDG_VERSION_STRING_COMPARE`
    `static java.lang.String` | `TIBDG_VERSION_STRING_LONG`
    `static java.lang.String` | `TIBDG_VERSION_STRING_SHORT`
    `static int` | `TIBDG_VERSION_UPDATE_NUM`
    `static java.lang.String` | `TIBDG_VERSION_UPDATE_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Version()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TIBDG_VERSION_MAJOR_NUM

          public static final int TIBDG_VERSION_MAJOR_NUM

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_MINOR_NUM

          public static final int TIBDG_VERSION_MINOR_NUM

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_UPDATE_NUM

          public static final int TIBDG_VERSION_UPDATE_NUM

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_MAJOR_STRING

          public static final java.lang.String TIBDG_VERSION_MAJOR_STRING

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_MINOR_STRING

          public static final java.lang.String TIBDG_VERSION_MINOR_STRING

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_UPDATE_STRING

          public static final java.lang.String TIBDG_VERSION_UPDATE_STRING

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_STRING_COMPARE

          public static final java.lang.String TIBDG_VERSION_STRING_COMPARE

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_STRING_SHORT

          public static final java.lang.String TIBDG_VERSION_STRING_SHORT

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_STRING_LONG

          public static final java.lang.String TIBDG_VERSION_STRING_LONG

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_BANNER

          public static final java.lang.String TIBDG_VERSION_BANNER

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_BUILD_TIMESTAMP

          public static final java.lang.String TIBDG_VERSION_BUILD_TIMESTAMP

      See Also:
        Constant Field Values

    - #### TIBDG_VERSION_RELEASE_TYPE

          public static final java.lang.String TIBDG_VERSION_RELEASE_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Version

          public Version()